diff --git a/src/Umbraco.Web.UI.Client/src/views/content/content.rights.controller.js b/src/Umbraco.Web.UI.Client/src/views/content/content.rights.controller.js
index 96c2ef0a80..727872c903 100644
--- a/src/Umbraco.Web.UI.Client/src/views/content/content.rights.controller.js
+++ b/src/Umbraco.Web.UI.Client/src/views/content/content.rights.controller.js
@@ -23,12 +23,11 @@
 
         function onInit() {
             vm.loading = true;
-            contentResource.getDetailedPermissions($scope.currentNode.id).then(function (userGroups) {
+            contentResource.getDetailedPermissions($scope.currentNode.id).then(userGroups => {
                 initData(userGroups);
                 vm.loading = false;
                 currentForm = angularHelper.getCurrentForm($scope);
             });
-
         }
 
         /**
@@ -72,7 +71,7 @@
             //if no permissions are explicitly set this means we need to show the defaults
             vm.selectedUserGroup.permissions = vm.selectedUserGroup.defaultPermissions;
           }
-          localizationService.localize("defaultdialogs_permissionsSetForGroup", [$scope.currentNode.name, vm.selectedUserGroup.name]).then(function (value) {
+          localizationService.localize("defaultdialogs_permissionsSetForGroup", [$scope.currentNode.name, vm.selectedUserGroup.name]).then(value => {
             vm.labels.permissionsSetForGroup = value;
           });
           setViewSate("managePermissions");
@@ -160,7 +159,7 @@
                 permissions: permissionsSave
             };
 
-            contentResource.savePermissions(saveModel).then(function (userGroups) {
+            contentResource.savePermissions(saveModel).then(userGroups => {
 
                 //re-assign model from server since it could have changed
                 initData(userGroups);
@@ -168,10 +167,11 @@
                 // clear dirty state on the form so we don't see the discard changes notification
                 // we use a timeout here because in some cases the initData reformats the userGroups model and triggers a change after the form state was changed
                 $timeout(function() {
-                  if(currentForm) {
-                    currentForm.$dirty = false;
+                  if (currentForm) {
+                     currentForm.$dirty = false;
                   }
                 });
+                
                 $scope.dialog.confirmDiscardChanges = false;
                 vm.saveState = "success";
                 vm.saveSuccces = true;
@@ -185,28 +185,33 @@
         function closeDialog() {
           // check if form has been changed. If it has show discard changes notification
           if (currentForm && currentForm.$dirty) {
-              localizationService.localizeMany(["prompt_unsavedChanges", "prompt_unsavedChangesWarning", "prompt_discardChanges", "prompt_stay"]).then(
-                  function(values) {
-                      var overlay = {
-                          "view": "default",
-                          "title": values[0],
-                          "content": values[1],
-                          "disableBackdropClick": true,
-                          "disableEscKey": true,
-                          "submitButtonLabel": values[2],
-                          "closeButtonLabel": values[3],
-                          submit: function () {
-                              overlayService.close();
-                              navigationService.hideDialog();
-                          },
-                          close: function () {
-                              overlayService.close();
-                          }
-                      };
 
-                      overlayService.open(overlay);
-                  }
-              );
+            const labelKeys = [
+              "prompt_unsavedChanges",
+              "prompt_unsavedChangesWarning",
+              "prompt_discardChanges",
+              "prompt_stay"
+            ];
+
+            localizationService.localizeMany(labelKeys).then(values => {
+                
+                const overlay = {
+                    view: "default",
+                    title: values[0],
+                    content: values[1],
+                    disableBackdropClick: true,
+                    disableEscKey: true,
+                    submitButtonLabel: values[2],
+                    closeButtonLabel: values[3],
+                    submit: () => {
+                        overlayService.close();
+                        navigationService.hideDialog();
+                    },
+                    close: () => overlayService.close()
+                };
+
+              overlayService.open(overlay);
+            });
           } else {
             navigationService.hideDialog();
           }
diff --git a/src/Umbraco.Web.UI.Client/src/views/content/overlays/schedule.controller.js b/src/Umbraco.Web.UI.Client/src/views/content/overlays/schedule.controller.js
index 53f18fbd00..d9fa1604a7 100644
--- a/src/Umbraco.Web.UI.Client/src/views/content/overlays/schedule.controller.js
+++ b/src/Umbraco.Web.UI.Client/src/views/content/overlays/schedule.controller.js
@@ -1,7 +1,7 @@
 (function () {
     "use strict";
     
-    function ScheduleContentController($scope, $timeout, localizationService, dateHelper, userService, contentEditingHelper) {
+  function ScheduleContentController($scope, $timeout, editorState, localizationService, dateHelper, userService, contentEditingHelper) {
 
         var vm = this;
 
@@ -21,11 +21,15 @@
         var origDates = [];
 
         function onInit() {
+            
+            //when this is null, we don't check permissions
+            vm.currentNodePermissions = contentEditingHelper.getPermissionsForContent();
+            vm.canUnpublish = vm.currentNodePermissions ? vm.currentNodePermissions.canUnpublish : true;
 
             vm.variants = $scope.model.variants;
             vm.displayVariants = vm.variants.slice(0);// shallow copy, we dont want to share the array-object(because we will be performing a sort method) but each entry should be shared (because we need validation and notifications).
 
-            if(!$scope.model.title) {
+            if (!$scope.model.title) {
                 localizationService.localize("general_scheduledPublishing").then(value => {
                     $scope.model.title = value;
                 });
@@ -66,18 +70,25 @@
                     var now = new Date();
                     var nowFormatted = moment(now).format("YYYY-MM-DD HH:mm");
 
-                    var datePickerConfig = {
+                    const datePickerPublishConfig  = {
                         enableTime: true,
                         dateFormat: "Y-m-d H:i",
                         time_24hr: true,
                         minDate: nowFormatted,
-                        defaultDate: nowFormatted
+                        defaultDate: nowFormatted,
+                        clickOpens: true
                     };
+                    
+                    const datePickerUnpublishConfig = Utilities.extend({}, datePickerPublishConfig, {
+                        clickOpens: vm.canUnpublish
+                    });
 
-                    variant.datePickerConfig = datePickerConfig;
+
+                    variant.datePickerPublishConfig = datePickerPublishConfig;
+                    variant.datePickerUnpublishConfig = datePickerUnpublishConfig;
                     
                     // format all dates to local
-                    if(variant.releaseDate || variant.expireDate) {
+                    if (variant.releaseDate || variant.expireDate) {
                         formatDatesToLocal(variant);
                     }
                 });
@@ -353,7 +364,8 @@
                 // remove properties only needed for this dialog
                 delete variant.releaseDateFormatted;
                 delete variant.expireDateFormatted;
-                delete variant.datePickerConfig;
+                delete variant.datePickerPublishConfig;
+                delete variant.datePickerUnpublishConfig;
                 delete variant.releaseDatePickerInstance;
                 delete variant.expireDatePickerInstance;
                 delete variant.releaseDatePickerOpen;
diff --git a/src/Umbraco.Web.UI.Client/src/views/dashboard/settings/analytics.controller.js b/src/Umbraco.Web.UI.Client/src/views/dashboard/settings/analytics.controller.js
index 094941b63a..19fcfc3c2f 100644
--- a/src/Umbraco.Web.UI.Client/src/views/dashboard/settings/analytics.controller.js
+++ b/src/Umbraco.Web.UI.Client/src/views/dashboard/settings/analytics.controller.js
@@ -24,6 +24,7 @@
           "min": 1,
           "max": 3
         },
+        behaviour: 'smooth-steps-tap',
         pips: {
           mode: 'values',
           density: 50,
diff --git a/src/Umbraco.Web.UI.Client/src/views/dictionary/export.controller.js b/src/Umbraco.Web.UI.Client/src/views/dictionary/export.controller.js
new file mode 100644
index 0000000000..df922e6d96
--- /dev/null
+++ b/src/Umbraco.Web.UI.Client/src/views/dictionary/export.controller.js
@@ -0,0 +1,18 @@
+angular.module("umbraco")
+    .controller("Umbraco.Editors.Dictionary.ExportController",
+        function ($scope, dictionaryResource, navigationService) {
+            $scope.includeChildren = false;
+
+            $scope.toggleHandler = function () {
+              $scope.includeChildren = !$scope.includeChildren
+            };
+
+            $scope.export = function () {
+                dictionaryResource.exportItem($scope.currentNode.id, $scope.includeChildren);
+                navigationService.hideMenu();
+            };
+
+            $scope.cancel = function () {
+                navigationService.hideDialog();
+            };
+        });
diff --git a/src/Umbraco.Web.UI.Client/src/views/dictionary/import.controller.js b/src/Umbraco.Web.UI.Client/src/views/dictionary/import.controller.js
new file mode 100644
index 0000000000..3936217343
--- /dev/null
+++ b/src/Umbraco.Web.UI.Client/src/views/dictionary/import.controller.js
@@ -0,0 +1,67 @@
+angular.module("umbraco")
+  .controller("Umbraco.Editors.Dictionary.ImportController",
+    function ($scope, dictionaryResource, notificationsService, navigationService, Upload, umbRequestHelper) {
+      var vm = this;
+
+      vm.state = "upload";
+      vm.model = {};
+      vm.uploadStatus = "";
+
+      vm.cancelButtonLabel = "cancel";
+
+      $scope.dialogTreeApi = {};
+
+      function nodeSelectHandler(args) {
+        args.event.preventDefault();
+        args.event.stopPropagation();
+
+        if ($scope.target) {
+          //un-select if there's a current one selected
+          $scope.target.selected = false;
+        }
+        $scope.target = args.node;
+        $scope.target.selected = true;
+      }
+
+      $scope.handleFiles = function (files, event, invalidFiles) {
+        if (files && files.length > 0) {
+          $scope.upload(files[0]);
+        }
+      };
+
+      $scope.upload = function (file) {
+        Upload.upload({
+          url: umbRequestHelper.getApiUrl("dictionaryApiBaseUrl", "Upload"),
+          fields: {},
+          file: file
+        }).then(function (response) {
+
+          vm.model = response.data;
+          vm.state = "confirm";
+          vm.uploadStatus = "done";
+
+        }, function (err) {
+          notificationsService.error(err.data.notifications[0].header, err.data.notifications[0].message);
+        });
+      };
+
+      $scope.import = function () {
+        var parentId = $scope.target !== undefined ? $scope.target.id : 0;
+
+        dictionaryResource.importItem(vm.model.tempFileName, parentId).then(function (path) {
+          navigationService.syncTree({ tree: "dictionary", path: path, forceReload: true, activate: false });
+
+          vm.state = "done";
+          vm.cancelButtonLabel = "general_close";
+        });
+      };
+
+      $scope.onTreeInit = function () {
+        $scope.dialogTreeApi.callbacks.treeNodeSelect(nodeSelectHandler);
+      };
+
+      $scope.close = function () {
+        navigationService.hideDialog();
+      };
+
+    });
